Subject: Re: bug#58486: [PATCH] Prevent .dir-locals.el from being byte-compiled

From: Stefan Monnier <[email-masked]>
Date: Sun, 16 Oct 2022 09:17:49 -0400

>> To stay in the spirit of bug#58075, if we consider the major mode
>> specified in `auto-mode-alist` (and `mode:` cookies) as a proxy for
>> "file type", maybe we should arrange to try and avoid byte-compiling
>> those `.el` files whose major mode is `lisp-data-mode` (or: is not
>> `emacs-lisp-mode`)?
>
> I don't know if such case is possible that auto-mode-alist specifies
> lisp-data-mode for a file type to avoid byte-compiling, but
> some file of that type needs to override its file type's default
> by using a cookie `no-byte-compile: nil`?

I don't understand what you're saying.  The auto-mode-alist's purpose is
not "to avoid byte-compiling" but to indicate what kind of content is to
be found in the file.  And all I'm suggesting is that we should take
advantage of that info in more places, for example when we decide
whether to byte-compile something.

        Stefan